world/turf = /turf/grass
turf/grass/icon_state = "grass"
atom/icon = 'icons.dmi'
mob/icon_state = "pc"








mob/npc
	icon_state = "npc"
	var
		npc_dialog
		npc_input_dialog = 0
		var/list/npc_options = new()
		npc_input_dialog_text
		var/list/npc_reactions = new()
	proc
		Talk(target as mob)
			if(!src.npc_dialog && !src.npc_input_dialog) //Tell them if the NPC doesn't have anything to say.
				target << "[src] stays silent.."
			else if(!src.npc_input_dialog)// If they do have dialog, display it to whoever talked to them.
				target << "[src] says, \"[src.npc_dialog]\""
			else if(!src.npc_dialog)
				var/selection = input("[src.npc_input_dialog_text]") in src.npc_options // Make them select an option
				var/react = src.npc_options[selection] // Make a var set to the reaction
				target << "[src] says, \"[react]\""
	proc
		Wander(mob/npc/NPC as mob, lag as num) // A quick Wander() proc I made for use with your NPCs.
			while(NPC) // While the NPC exists..
				sleep(lag)
				var/random_direction = pick(NORTH,SOUTH,EAST,WEST) // Pick a random direction
				step(NPC,random_direction) // And make it go that way.









mob/verb
	Speak()
		for(var/mob/npc/N in oview(1)) //Return all mobs within one tile
			if(get_dir(usr,N)==usr.dir) // If you are facing a mob near you..
				N.Talk(usr) // Call their Talk() proc
			else // If you aren't facing one, do nothing.
				return
	Set_Dir(n as num)
		usr.dir = n